// pages/waterprice/waterprice.js
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    priceInfo: {}
  },
  getPrice() {
    app.showLoading();
    app.$http.get('/user/getPriceInfo', {
    }).then(({
      status,
      msg,
      data
    }) => {
      if (status === 0) {
        data.feeTypeDtos && data.feeTypeDtos.length && data.feeTypeDtos.forEach(v => {
          v.ladderInfoDtos && v.ladderInfoDtos.forEach(k => {
            k.waterPrice = app.$util.numberFormat(k.waterPrice, 2);
          })
        })
        this.setData({
          priceInfo: data
        })
      }
      wx.hideLoading();
    }).catch(() => {
      wx.hideLoading();
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    this.getPrice();
  }
})